"use strict";
(globalThis["webpackChunkweb_stories_wp"] = globalThis["webpackChunkweb_stories_wp"] || []).push([["chunk-media-gallery"],{

/***/ "./packages/story-editor/src/components/library/panes/media/common/attribution.js":
/*!****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/common/attribution.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var polished__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! polished */ "./node_modules/polished/dist/polished.esm.js");
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/typography/text/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/theme/types.ts");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/common/attribution.js",
  _s = __webpack_require__.$Refresh$.signature();

/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */





const StyledText = (0,styled_components__WEBPACK_IMPORTED_MODULE_2__["default"])(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_3__.Text.Span).withConfig({
  displayName: "attribution__StyledText",
  componentId: "sc-dg18hp-0"
})(["color:", ";"], ({
  theme,
  active
}) => (0,polished__WEBPACK_IMPORTED_MODULE_4__.rgba)(theme.colors.standard.white, active ? 1.0 : 0.6));
_c = StyledText;
const Link = styled_components__WEBPACK_IMPORTED_MODULE_2__["default"].a.withConfig({
  displayName: "attribution__Link",
  componentId: "sc-dg18hp-1"
})(["display:block;position:absolute;left:0;bottom:0;width:100%;padding:8px;background-color:", ";text-overflow:ellipsis;overflow:hidden;white-space:nowrap;text-decoration:none;"], ({
  theme,
  active
}) => (0,polished__WEBPACK_IMPORTED_MODULE_4__.rgba)(theme.colors.bg.primary, active ? 0.8 : 0.6));
_c2 = Link;
const Attribution = ({
  author,
  url
}) => {
  _s();
  const [active, setActive] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const makeActive = () => setActive(true);
  const makeInactive = () => setActive(false);
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Link, {
    title: author,
    active: active,
    onPointerEnter: makeActive,
    onFocus: makeActive,
    onPointerLeave: makeInactive,
    onBlur: makeInactive,
    href: url,
    target: "_blank",
    rel: "noreferrer",
    __self: undefined,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 52,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(StyledText, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_5__.TextSize.XSmall,
    __self: undefined,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 63,
      columnNumber: 7
    }
  }, author));
};
_s(Attribution, "1cfVChV6gA1Fk8+xDnwTj3gmgZo=");
_c3 = Attribution;
Attribution.propTypes = {
  author: (prop_types__WEBPACK_IMPORTED_MODULE_6___default().string).isRequired,
  url: (prop_types__WEBPACK_IMPORTED_MODULE_6___default().string).isRequired
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Attribution);
var _c, _c2, _c3;
__webpack_require__.$Refresh$.register(_c, "StyledText");
__webpack_require__.$Refresh$.register(_c2, "Link");
__webpack_require__.$Refresh$.register(_c3, "Attribution");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/common/innerElement.js":
/*!*****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/common/innerElement.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/getSmallestUrlForWidth.ts");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/resourceList.ts");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/types/propTypes.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/typography/text/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/theme/types.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/utils/noop.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/icons/muted.svg");
/* harmony import */ var _shared_libraryMoveable__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../shared/libraryMoveable */ "./packages/story-editor/src/components/library/panes/shared/libraryMoveable.js");
/* harmony import */ var _dropTargets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../dropTargets */ "./packages/story-editor/src/components/dropTargets/index.js");
/* harmony import */ var _app_media__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../../app/media */ "./packages/story-editor/src/app/media/index.js");
/* harmony import */ var _shared_insertionOverlay__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../shared/insertionOverlay */ "./packages/story-editor/src/components/library/panes/shared/insertionOverlay.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/common/innerElement.js",
  _s = __webpack_require__.$Refresh$.signature();

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * External dependencies
 */






/**
 * Internal dependencies
 */




const styledTiles = (0,styled_components__WEBPACK_IMPORTED_MODULE_6__.css)(["width:100%;cursor:pointer;transition:0.2s transform,0.15s opacity;border-radius:4px;opacity:0;object-fit:cover;"]);
const Image = styled_components__WEBPACK_IMPORTED_MODULE_6__["default"].img.withConfig({
  displayName: "innerElement__Image",
  componentId: "sc-qkk7ov-0"
})(["", ""], styledTiles);

// Display the newly uploaded videos without a delay: showWithoutDelay
_c = Image;
const Video = styled_components__WEBPACK_IMPORTED_MODULE_6__["default"].video.withConfig({
  displayName: "innerElement__Video",
  componentId: "sc-qkk7ov-1"
})(["", " ", ""], styledTiles, ({
  showWithoutDelay
}) => showWithoutDelay ? 'opacity: 1;' : '');
_c2 = Video;
const DurationWrapper = styled_components__WEBPACK_IMPORTED_MODULE_6__["default"].div.withConfig({
  displayName: "innerElement__DurationWrapper",
  componentId: "sc-qkk7ov-2"
})(["position:absolute;bottom:8px;left:8px;background:", ";border-radius:100px;height:18px;padding:0 6px;"], ({
  theme
}) => theme.colors.opacity.black64);
_c3 = DurationWrapper;
const MuteWrapper = styled_components__WEBPACK_IMPORTED_MODULE_6__["default"].div.withConfig({
  displayName: "innerElement__MuteWrapper",
  componentId: "sc-qkk7ov-3"
})(["position:absolute;bottom:8px;right:8px;height:24px;width:24px;background:", ";color:", ";border-radius:100px;"], ({
  theme
}) => theme.colors.opacity.black64, ({
  theme
}) => theme.colors.fg.primary);
_c4 = MuteWrapper;
const Duration = (0,styled_components__WEBPACK_IMPORTED_MODULE_6__["default"])(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_7__.Text.Span).attrs({
  size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.TextSize.XSmall
}).withConfig({
  displayName: "innerElement__Duration",
  componentId: "sc-qkk7ov-4"
})(["color:", ";display:block;"], ({
  theme
}) => theme.colors.fg.primary);
_c5 = Duration;
const CloneImg = styled_components__WEBPACK_IMPORTED_MODULE_6__["default"].img.withConfig({
  displayName: "innerElement__CloneImg",
  componentId: "sc-qkk7ov-5"
})(["opacity:0;width:", ";height:", ";position:absolute;"], ({
  width
}) => `${width}px`, ({
  height
}) => `${height}px`);
function InnerElement({
  type,
  src,
  resource,
  alt,
  width,
  height,
  onClick,
  onLoad = _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__.noop,
  showVideoDetail,
  mediaElement,
  active,
  isMuted
}) {
  _s();
  const newVideoPosterRef = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
  // Track if we have already set the dragging resource.
  const hasSetResourceTracker = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);

  // Note: This `useDropTargets` is purposefully separated from the one below since it
  // uses a custom function for checking for equality and is meant for `handleDrag` and `handleDrop` only.
  const {
    handleDrag,
    handleDrop
  } = (0,_dropTargets__WEBPACK_IMPORTED_MODULE_3__.useDropTargets)(({
    state,
    actions
  }) => ({
    handleDrag: actions.handleDrag,
    handleDrop: actions.handleDrop,
    dropTargets: state.dropTargets,
    activeDropTargetId: state.activeDropTargetId
  }), (prev, curr) => {
    // If we're dragging this element, always update the actions.
    if (hasSetResourceTracker.current) {
      return false;
      // If we're rendering the first time, init `handleDrag` and `handleDrop`.
    } else if (hasSetResourceTracker.current === null) {
      hasSetResourceTracker.current = false;
      return false;
    }
    // If the drop targets updated meanwhile, also update the actions, otherwise `handleDrag` won't consider those.
    if (prev?.dropTargets && curr?.dropTargets) {
      const prevIds = Object.keys(prev.dropTargets);
      const currentIds = Object.keys(curr.dropTargets);
      if (prevIds.join() !== currentIds.join()) {
        return false;
      }
    }
    if (prev?.activeDropTargetId !== curr?.activeDropTargetId) {
      return false;
    }

    // Otherwise ignore the changes in the actions.
    return true;
  });
  const {
    setDraggingResource
  } = (0,_dropTargets__WEBPACK_IMPORTED_MODULE_3__.useDropTargets)(({
    actions: {
      setDraggingResource
    }
  }) => ({
    setDraggingResource
  }));
  (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    // assign display poster for videos
    if (resource.poster) {
      newVideoPosterRef.current = resource.poster;
    }
  }, [resource.poster]);
  const makeMediaVisible = () => {
    if (mediaElement.current) {
      mediaElement.current.style.opacity = 1;
    }
    onLoad();
  };
  let media;
  const {
    lengthFormatted,
    poster,
    mimeType
  } = resource;
  const displayPoster = poster ?? newVideoPosterRef.current;
  const thumbnailURL = displayPoster ? displayPoster : (0,_googleforcreators_media__WEBPACK_IMPORTED_MODULE_10__["default"])(width, resource);
  const commonProps = {
    width,
    height,
    alt,
    crossOrigin: 'anonymous'
  };
  const commonImageProps = {
    ...commonProps,
    onLoad: makeMediaVisible,
    loading: 'lazy',
    decoding: 'async',
    draggable: false
  };
  const cloneProps = {
    ...commonImageProps,
    onLoad: undefined
  };
  const imageProps = {
    ...commonImageProps,
    src: thumbnailURL
  };
  const videoProps = {
    ...commonProps,
    title: alt,
    alt: null,
    loop: type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Gif,
    muted: true,
    preload: 'metadata',
    poster: displayPoster,
    showWithoutDelay: active
  };
  if (type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Image || type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Sticker) {
    // eslint-disable-next-line styled-components-a11y/alt-text -- False positive.
    media = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Image, _extends({
      key: src
    }, imageProps, {
      ref: mediaElement,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 209,
        columnNumber: 13
      }
    }));
    cloneProps.src = thumbnailURL;
  } else if ([_app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Video, _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Gif].includes(type)) {
    media = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, poster && !active ?
    /*#__PURE__*/
    /* eslint-disable-next-line styled-components-a11y/alt-text -- False positive. */
    react__WEBPACK_IMPORTED_MODULE_0__.createElement(Image, _extends({
      key: src
    }, imageProps, {
      ref: mediaElement,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 216,
        columnNumber: 11
      }
    })) :
    /*#__PURE__*/
    // eslint-disable-next-line jsx-a11y/media-has-caption,styled-components-a11y/media-has-caption -- No captions/tracks because video is muted.
    react__WEBPACK_IMPORTED_MODULE_0__.createElement(Video, _extends({
      key: src
    }, videoProps, {
      ref: mediaElement,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 219,
        columnNumber: 11
      }
    }), type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Gif ? resource.output.src && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("source", {
      src: resource.output.src,
      type: resource.output.mimeType,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 222,
        columnNumber: 17
      }
    }) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("source", {
      src: (0,_googleforcreators_media__WEBPACK_IMPORTED_MODULE_10__["default"])(width, resource),
      type: mimeType,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 228,
        columnNumber: 15
      }
    })), type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Video && showVideoDetail && lengthFormatted && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DurationWrapper, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 236,
        columnNumber: 11
      }
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Duration, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 237,
        columnNumber: 13
      }
    }, lengthFormatted)), type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Video && showVideoDetail && isMuted && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(MuteWrapper, {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 241,
        columnNumber: 11
      }
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__["default"], {
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 242,
        columnNumber: 13
      }
    })));
    cloneProps.src = poster;
  }
  if (!media) {
    throw new Error('Invalid media element type.');
  }
  const dragHandler = event => {
    if (!hasSetResourceTracker.current) {
      // Drop-targets handling.
      _googleforcreators_media__WEBPACK_IMPORTED_MODULE_12__["default"].set(resource.id, {
        url: thumbnailURL,
        type: 'cached'
      });
      setDraggingResource(resource);
      hasSetResourceTracker.current = true;
    }
    handleDrag(resource, event.clientX, event.clientY);
  };
  const imageURL = type === _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Image ? thumbnailURL : poster;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, media, active && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_shared_insertionOverlay__WEBPACK_IMPORTED_MODULE_5__["default"], {
    showIcon: false,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 272,
      columnNumber: 18
    }
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_shared_libraryMoveable__WEBPACK_IMPORTED_MODULE_2__["default"], {
    active: active,
    handleDrag: dragHandler,
    handleDragEnd: () => {
      handleDrop(resource);
      hasSetResourceTracker.current = false;
    },
    type: resource.type,
    elementProps: {
      resource
    },
    onClick: onClick(imageURL),
    cloneElement: CloneImg,
    cloneProps: cloneProps,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 273,
      columnNumber: 7
    }
  }));
}
_s(InnerElement, "Hm8AtPoAlaxaHo5UP0w0go8OHsY=", false, function () {
  return [_dropTargets__WEBPACK_IMPORTED_MODULE_3__.useDropTargets, _dropTargets__WEBPACK_IMPORTED_MODULE_3__.useDropTargets];
});
_c6 = InnerElement;
InnerElement.propTypes = {
  type: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().string).isRequired,
  src: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().string).isRequired,
  resource: _googleforcreators_media__WEBPACK_IMPORTED_MODULE_14__.ResourcePropTypes.imageResource,
  alt: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().string),
  width: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().number),
  height: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().number),
  isMuted: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().bool),
  onClick: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().func).isRequired,
  onLoad: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().func),
  showVideoDetail: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().bool),
  mediaElement: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().object),
  active: (prop_types__WEBPACK_IMPORTED_MODULE_13___default().bool).isRequired
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_c7 = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.memo)(InnerElement));
var _c, _c2, _c3, _c4, _c5, _c6, _c7;
__webpack_require__.$Refresh$.register(_c, "Image");
__webpack_require__.$Refresh$.register(_c2, "Video");
__webpack_require__.$Refresh$.register(_c3, "DurationWrapper");
__webpack_require__.$Refresh$.register(_c4, "MuteWrapper");
__webpack_require__.$Refresh$.register(_c5, "Duration");
__webpack_require__.$Refresh$.register(_c6, "InnerElement");
__webpack_require__.$Refresh$.register(_c7, "%default%");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/common/insertionMenu.js":
/*!******************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/common/insertionMenu.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/i18n.ts");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! uuid */ "./packages/story-editor/node_modules/uuid/dist/esm-browser/v4.js");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/utils/noop.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/keyboard/keyboard.tsx");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/icons/plus_filled_small.svg");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/popup/popup.tsx");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/popup/constants.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/menu/menu.tsx");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/getSmallestUrlForWidth.ts");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/types/propTypes.ts");
/* harmony import */ var _canvas_utils_getElementProperties__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../canvas/utils/getElementProperties */ "./packages/story-editor/src/components/canvas/utils/getElementProperties.ts");
/* harmony import */ var _app_story_useStory__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../../app/story/useStory */ "./packages/story-editor/src/app/story/useStory.ts");
/* harmony import */ var _shared__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../shared */ "./packages/story-editor/src/components/library/panes/shared/index.js");
/* harmony import */ var _utils_useRovingTabIndex__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../../utils/useRovingTabIndex */ "./packages/story-editor/src/utils/useRovingTabIndex/index.js");
/* harmony import */ var _canvas_useFocusCanvas__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../canvas/useFocusCanvas */ "./packages/story-editor/src/components/canvas/useFocusCanvas.ts");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/common/insertionMenu.js",
  _s = __webpack_require__.$Refresh$.signature();

/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */








/**
 * Internal dependencies
 */





const DropDownContainer = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "insertionMenu__DropDownContainer",
  componentId: "sc-xjd4tf-0"
})(["margin-top:10px;min-width:160px;"]);
_c = DropDownContainer;
const MenuContainer = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "insertionMenu__MenuContainer",
  componentId: "sc-xjd4tf-1"
})(["z-index:1;"]);
_c2 = MenuContainer;
const menuStylesOverride = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__.css)(["min-width:160px;margin-top:0;li{display:block;}"]);

// This is used for nested roving tab index to detect parent siblings.
const BUTTON_NESTING_DEPTH = 3;
const MENU_OPTIONS = {
  INSERT: 'insert',
  ADD_BACKGROUND: 'addBackground'
};

/**
 * Get a More icon that displays a dropdown menu on click.
 *
 * @param {Object} props Component props.
 * @param {Object} props.resource Selected media element's resource object.
 * @param {boolean} props.display Whether the more icon should be displayed.
 * @param {Function} props.onInsert Callback for inserting media.
 * @param {number} props.width Media width.
 * @param {number} props.index Element index in the gallery.
 * @param {boolean} props.isLocal If the menu is for local or 3p media.
 * @param {Function} props.setParentActive Sets the parent element active.
 * @param {Function} props.setParentInactive Sets the parent element inactive.
 * @return {null|*} Element or null if should not display the More icon.
 */
function InsertionMenu({
  resource,
  display,
  onInsert,
  width,
  index,
  isLocal = false,
  setParentActive = _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.noop,
  setParentInactive = _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.noop
}) {
  _s();
  const insertButtonRef = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)();
  const [isMenuOpen, setIsMenuOpen] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const onMenuOpen = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(e => {
    e.stopPropagation();
    setIsMenuOpen(true);
  }, []);
  const onMenuCancelled = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    // When menu gets closed, we want to focus back on the original button.
    setIsMenuOpen(false);
    insertButtonRef.current?.focus();
    // However, activeness of the parent is also lost then due to blurring, we need to set it active "manually".
    setParentActive();
  }, [setParentActive]);
  const {
    currentBackgroundId,
    combineElements
  } = (0,_app_story_useStory__WEBPACK_IMPORTED_MODULE_3__["default"])(state => ({
    currentBackgroundId: state.state.currentPage?.elements?.[0]?.id,
    combineElements: state.actions.combineElements
  }));
  const {
    type,
    poster
  } = resource;
  const insertLabel = ['image', 'gif'].includes(type) ? (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Insert image', 'web-stories') : (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Insert video', 'web-stories');
  const groups = [{
    options: [{
      label: insertLabel,
      value: MENU_OPTIONS.INSERT
    }, {
      label: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Add as background', 'web-stories'),
      value: MENU_OPTIONS.ADD_BACKGROUND
    }]
  }];
  const handleCurrentValue = (evt, value) => {
    const thumbnailUrl = poster || (0,_googleforcreators_media__WEBPACK_IMPORTED_MODULE_10__["default"])(width, resource);
    const newElement = (0,_canvas_utils_getElementProperties__WEBPACK_IMPORTED_MODULE_2__["default"])(resource.type, {
      resource
    });
    setIsMenuOpen(false);
    switch (value) {
      case MENU_OPTIONS.INSERT:
        onInsert(resource, thumbnailUrl);
        break;
      case MENU_OPTIONS.ADD_BACKGROUND:
        combineElements({
          firstElement: newElement,
          secondId: currentBackgroundId
        });
        break;
      default:
        break;
    }
    // Since the parent is set active when closing a menu, we need to set it inactive here "manually".
    setParentInactive();
  };
  (0,_utils_useRovingTabIndex__WEBPACK_IMPORTED_MODULE_5__["default"])({
    ref: insertButtonRef
  }, [], BUTTON_NESTING_DEPTH);
  // In case of 3p media, we tab out of the panel since it's the only button there.
  const focusCanvas = (0,_canvas_useFocusCanvas__WEBPACK_IMPORTED_MODULE_6__["default"])();
  (0,_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__.useKeyDownEffect)(isLocal ? null : insertButtonRef, 'tab', focusCanvas, [focusCanvas]);
  const listId = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => `list-${(0,uuid__WEBPACK_IMPORTED_MODULE_12__["default"])()}`, []);
  const buttonId = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => `button-${(0,uuid__WEBPACK_IMPORTED_MODULE_12__["default"])()}`, []);

  // Keep icon and menu displayed if menu is open (even if user's mouse leaves the area).
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(MenuContainer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 170,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_shared__WEBPACK_IMPORTED_MODULE_4__.ActionButton, {
    ref: insertButtonRef,
    onClick: onMenuOpen,
    "aria-label": (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Open insertion menu', 'web-stories'),
    "aria-pressed": isMenuOpen,
    "aria-haspopup": true,
    "aria-expanded": isMenuOpen,
    "aria-owns": isMenuOpen ? listId : null,
    id: buttonId,
    $display: display,
    tabIndex: index === 0 ? 0 : -1,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 171,
      columnNumber: 7
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 183,
      columnNumber: 9
    }
  })), isMenuOpen && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_14__["default"], {
    anchor: insertButtonRef,
    placement: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_15__.Placement.BottomStart,
    isOpen: isMenuOpen,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 186,
      columnNumber: 9
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DropDownContainer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 191,
      columnNumber: 11
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_16__["default"], {
    parentId: buttonId,
    listId: listId,
    handleMenuItemSelect: handleCurrentValue,
    groups: groups,
    onDismissMenu: onMenuCancelled,
    hasMenuRole: true,
    menuStylesOverride: menuStylesOverride,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 192,
      columnNumber: 13
    }
  }))));
}
_s(InsertionMenu, "bNqb49wbMBzUGJl4BUdC5hatmO0=", false, function () {
  return [_app_story_useStory__WEBPACK_IMPORTED_MODULE_3__["default"], _utils_useRovingTabIndex__WEBPACK_IMPORTED_MODULE_5__["default"], _canvas_useFocusCanvas__WEBPACK_IMPORTED_MODULE_6__["default"], _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__.useKeyDownEffect];
});
_c3 = InsertionMenu;
InsertionMenu.propTypes = {
  resource: _googleforcreators_media__WEBPACK_IMPORTED_MODULE_17__.ResourcePropTypes.resource.isRequired,
  display: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().bool).isRequired,
  onInsert: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().func).isRequired,
  width: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().number).isRequired,
  index: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().number).isRequired,
  isLocal: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().bool),
  setParentActive: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().func),
  setParentInactive: (prop_types__WEBPACK_IMPORTED_MODULE_18___default().func)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InsertionMenu);
var _c, _c2, _c3;
__webpack_require__.$Refresh$.register(_c, "DropDownContainer");
__webpack_require__.$Refresh$.register(_c2, "MenuContainer");
__webpack_require__.$Refresh$.register(_c3, "InsertionMenu");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/common/mediaElement.js":
/*!*****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/common/mediaElement.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var polished__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! polished */ "./node_modules/polished/dist/polished.esm.js");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/i18n.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/loadingBar/loadingBar.tsx");
/* harmony import */ var react_blurhash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-blurhash */ "./packages/story-editor/node_modules/react-blurhash/dist/esm/index.js");
/* harmony import */ var _local_dropDownMenu__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../local/dropDownMenu */ "./packages/story-editor/src/components/library/panes/media/local/dropDownMenu.js");
/* harmony import */ var _app_media__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../../app/media */ "./packages/story-editor/src/app/media/index.js");
/* harmony import */ var _tooltip__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../tooltip */ "./packages/story-editor/src/components/tooltip/index.js");
/* harmony import */ var _utils_noop__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../../utils/noop */ "./packages/story-editor/src/utils/noop.ts");
/* harmony import */ var _attribution__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./attribution */ "./packages/story-editor/src/components/library/panes/media/common/attribution.js");
/* harmony import */ var _innerElement__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./innerElement */ "./packages/story-editor/src/components/library/panes/media/common/innerElement.js");
/* harmony import */ var _insertionMenu__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./insertionMenu */ "./packages/story-editor/src/components/library/panes/media/common/insertionMenu.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/common/mediaElement.js",
  _s = __webpack_require__.$Refresh$.signature(),
  _s2 = __webpack_require__.$Refresh$.signature();

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */








/**
 * Internal dependencies
 */







const AUTOPLAY_PREVIEW_VIDEO_DELAY_MS = 600;
const Container = styled_components__WEBPACK_IMPORTED_MODULE_10__["default"].div.attrs(props => ({
  style: {
    width: props.width + 'px',
    height: props.height + 'px',
    margin: props.margin,
    backgroundColor: 'transparent',
    color: 'inherit',
    border: 'none',
    padding: 0
  }
})).withConfig({
  displayName: "mediaElement__Container",
  componentId: "sc-n7038j-0"
})([""]);
_c = Container;
const InnerContainer = styled_components__WEBPACK_IMPORTED_MODULE_10__["default"].div.withConfig({
  displayName: "mediaElement__InnerContainer",
  componentId: "sc-n7038j-1"
})(["position:relative;display:flex;margin-bottom:10px;background-color:", ";"], ({
  theme,
  $baseColor
}) => $baseColor ? $baseColor : (0,polished__WEBPACK_IMPORTED_MODULE_11__.rgba)(theme.colors.standard.black, 0.3));
_c2 = InnerContainer;
const BlurhashContainer = (0,styled_components__WEBPACK_IMPORTED_MODULE_10__["default"])(react_blurhash__WEBPACK_IMPORTED_MODULE_2__.Blurhash).withConfig({
  displayName: "mediaElement__BlurhashContainer",
  componentId: "sc-n7038j-2"
})(["position:absolute !important;top:0;left:0;"]);
_c3 = BlurhashContainer;
function Element({
  index,
  resource,
  width: requestedWidth,
  height: requestedHeight,
  margin,
  onInsert,
  providerType,
  canEditMedia
}) {
  _s();
  const {
    id: resourceId,
    src,
    type,
    width: originalWidth,
    height: originalHeight,
    alt,
    isMuted,
    baseColor,
    blurHash
  } = resource;
  const {
    isCurrentResourceProcessing,
    isCurrentResourceUploading
  } = (0,_app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia)(({
    state
  }) => ({
    isCurrentResourceProcessing: state.isCurrentResourceProcessing,
    isCurrentResourceUploading: state.isCurrentResourceUploading
  }));
  const oRatio = originalWidth && originalHeight ? originalWidth / originalHeight : 1;
  const width = requestedWidth || requestedHeight / oRatio;
  const height = requestedHeight || width / oRatio;
  const mediaElement = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)();
  const [showVideoDetail, setShowVideoDetail] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
  const [active, setActive] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [isMenuOpen, setIsMenuOpen] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [isLoaded, setLoaded] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const makeActive = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => setActive(true), []);
  const makeInactive = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => setActive(false), []);
  const onMenuOpen = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => setIsMenuOpen(true), []);
  const onMenuCancelled = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => setIsMenuOpen(false), []);
  const onMenuSelected = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    setIsMenuOpen(false);
    setActive(false);
  }, []);
  const [hoverTimer, setHoverTimer] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
  const activeRef = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)(active);
  activeRef.current = active;
  (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (![_app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Video, _app_media__WEBPACK_IMPORTED_MODULE_4__.ContentType.Gif].includes(type)) {
      return undefined;
    }
    const resetHoverTime = () => {
      if (hoverTimer !== null) {
        clearTimeout(hoverTimer);
        setHoverTimer(null);
      }
    };
    if (!isMenuOpen) {
      if (active) {
        setShowVideoDetail(false);
        if (mediaElement.current && hoverTimer === null) {
          const timer = setTimeout(() => {
            if (activeRef.current && src) {
              mediaElement.current.play().catch(_utils_noop__WEBPACK_IMPORTED_MODULE_6__.noop);
            }
          }, AUTOPLAY_PREVIEW_VIDEO_DELAY_MS);
          setHoverTimer(timer);
          // Pointer still in the media element, continue the video.
        }
      } else {
        setShowVideoDetail(true);
        resetHoverTime();
        if (mediaElement.current && mediaElement.current?.pause && src) {
          // Stop video and reset position.
          mediaElement.current.pause();
          mediaElement.current.currentTime = 0;
        }
      }
    }
    return resetHoverTime;
  }, [isMenuOpen, active, type, src, hoverTimer, setHoverTimer, activeRef]);
  const onClick = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(thumbnailUrl => () => {
    onInsert(resource, thumbnailUrl);
  }, [onInsert, resource]);
  const attribution = active && resource.attribution?.author?.displayName && resource.attribution?.author?.url && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_attribution__WEBPACK_IMPORTED_MODULE_7__["default"], {
    author: resource.attribution.author.displayName,
    url: resource.attribution.author.url,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 170,
      columnNumber: 7
    }
  });
  const ref = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)();
  const onLoad = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => setLoaded(true), []);
  const isPlaceholder = !isLoaded && !active;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Container, {
    ref: ref,
    "data-testid": `mediaElement-${type}`,
    "data-id": resourceId,
    className: 'mediaElement',
    width: width,
    height: height,
    margin: margin,
    onPointerEnter: makeActive,
    onFocus: makeActive,
    onPointerLeave: makeInactive,
    onBlur: makeInactive,
    tabIndex: "-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 183,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(InnerContainer, {
    $baseColor: isPlaceholder && baseColor,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 197,
      columnNumber: 7
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_innerElement__WEBPACK_IMPORTED_MODULE_8__["default"], {
    type: type,
    src: src,
    mediaElement: mediaElement,
    resource: resource,
    alt: alt,
    isMuted: isMuted,
    width: width,
    height: height,
    onClick: onClick,
    onLoad: onLoad,
    showVideoDetail: showVideoDetail,
    active: active,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 198,
      columnNumber: 9
    }
  }), attribution, isPlaceholder && blurHash && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(BlurhashContainer, {
    hash: blurHash,
    width: width,
    height: height,
    punch: 1,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 214,
      columnNumber: 11
    }
  }), (!src || isCurrentResourceProcessing(resourceId) || isCurrentResourceUploading(resourceId)) && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_12__.LoadingBar, {
    loadingMessage: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_13__.__)('Uploading media…', 'web-stories'),
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 224,
      columnNumber: 11
    }
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_insertionMenu__WEBPACK_IMPORTED_MODULE_9__["default"], {
    resource: resource,
    display: active,
    onInsert: onInsert,
    width: width,
    index: index,
    isLocal: providerType === 'local',
    setParentActive: makeActive,
    setParentInactive: makeInactive,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 226,
      columnNumber: 9
    }
  }), providerType === 'local' && canEditMedia && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_local_dropDownMenu__WEBPACK_IMPORTED_MODULE_3__["default"], {
    resource: resource,
    display: active,
    isMenuOpen: isMenuOpen,
    onMenuOpen: onMenuOpen,
    onMenuCancelled: onMenuCancelled,
    onMenuSelected: onMenuSelected,
    setParentActive: makeActive,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 237,
      columnNumber: 11
    }
  })));
}
_s(Element, "d9OdRDLT+4rmPBsk5HmjD95NYn4=", false, function () {
  return [_app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia];
});
_c4 = Element;
Element.propTypes = {
  index: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number).isRequired,
  resource: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().object),
  width: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number),
  height: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number),
  margin: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().string),
  onInsert: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().func),
  providerType: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().string),
  canEditMedia: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().bool)
};

/**
 * Get a formatted element for different media types.
 *
 * @param {Object} props Component props.
 * @param {number} props.index Index of the media element in the gallery.
 * @param {Object} props.resource Resource object
 * @param {number} props.width Width that element is inserted into editor.
 * @param {number} props.height Height that element is inserted into editor.
 * @param {string?} props.margin The margin in around the element
 * @param {Function} props.onInsert Insertion callback.
 * @param {string} props.providerType Which provider the element is from.
 * @param {boolean} props.canEditMedia Current user can upload media.
 * @return {null|*} Element or null if does not map to video/image.
 */
function MediaElement({
  providerType = 'local',
  canEditMedia = false,
  ...props
}) {
  _s2();
  const {
    isCurrentResourceProcessing,
    isCurrentResourceUploading
  } = (0,_app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia)(({
    state
  }) => ({
    isCurrentResourceProcessing: state.isCurrentResourceProcessing,
    isCurrentResourceUploading: state.isCurrentResourceUploading
  }));
  const {
    id: resourceId
  } = props.resource;
  if (isCurrentResourceProcessing(resourceId) || isCurrentResourceUploading(resourceId)) {
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_tooltip__WEBPACK_IMPORTED_MODULE_5__["default"], {
      title: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_13__.__)('Uploading media…', 'web-stories'),
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 295,
        columnNumber: 7
      }
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Element, _extends({}, props, {
      providerType: providerType,
      canEditMedia: canEditMedia,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 296,
        columnNumber: 9
      }
    })));
  }
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Element, _extends({}, props, {
    providerType: providerType,
    canEditMedia: canEditMedia,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 306,
      columnNumber: 5
    }
  }));
}
_s2(MediaElement, "EKZn1ipNw6sjXowrTi+E6klSor0=", false, function () {
  return [_app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia];
});
_c5 = MediaElement;
MediaElement.propTypes = {
  index: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number).isRequired,
  resource: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().object),
  width: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number),
  height: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().number),
  margin: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().string),
  onInsert: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().func),
  providerType: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().string),
  canEditMedia: (prop_types__WEBPACK_IMPORTED_MODULE_14___default().bool)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_c6 = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.memo)(MediaElement));
var _c, _c2, _c3, _c4, _c5, _c6;
__webpack_require__.$Refresh$.register(_c, "Container");
__webpack_require__.$Refresh$.register(_c2, "InnerContainer");
__webpack_require__.$Refresh$.register(_c3, "BlurhashContainer");
__webpack_require__.$Refresh$.register(_c4, "Element");
__webpack_require__.$Refresh$.register(_c5, "MediaElement");
__webpack_require__.$Refresh$.register(_c6, "%default%");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/common/mediaGallery.js":
/*!*****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/common/mediaGallery.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var core_js_modules_esnext_iterator_map_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! core-js/modules/esnext.iterator.map.js */ "./node_modules/core-js/modules/esnext.iterator.map.js");
/* harmony import */ var core_js_modules_esnext_iterator_map_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_esnext_iterator_map_js__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_photo_album__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react-photo-album */ "./packages/story-editor/node_modules/react-photo-album/dist/index.mjs");
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../../constants */ "./packages/story-editor/src/constants/index.ts");
/* harmony import */ var _mediaElement__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./mediaElement */ "./packages/story-editor/src/components/library/panes/media/common/mediaElement.js");
/* harmony import */ var _styles__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./styles */ "./packages/story-editor/src/components/library/panes/media/common/styles.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/common/mediaGallery.js",
  _s = __webpack_require__.$Refresh$.signature();


/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */




/**
 * Internal dependencies
 */



const PHOTO_SPACING = 8;
const TARGET_ROW_HEIGHT = 110;
const ROW_CONSTRAINTS = {
  maxPhotos: 2
};

// eslint-disable-next-line react/prop-types -- Negligible here.
const ContainerRenderer = ({
  children,
  containerRef
}) => {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_styles__WEBPACK_IMPORTED_MODULE_5__.GalleryContainer, {
    ref: containerRef,
    __self: undefined,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 37,
      columnNumber: 10
    }
  }, children);
};
_c = ContainerRenderer;
const RowRenderer = ({
  children
}) => children;

/**
 * @callback InsertionCallback
 * @param {Object} element Inserted element.
 */

/**
 * Displays a gallery of media elements arranged in a row-based format.
 *
 * @param {Object} props Component props.
 * @param {Array.<Object>} props.resources List of resources to display.
 * @param {Array.<Object>} props.uploadingResources List of uploading resources to display.
 * @param {InsertionCallback} props.onInsert Called when element is selected.
 * @param {string} props.providerType Provider of gallery's elements.
 * @param {boolean} props.canEditMedia Current user can upload media.
 * @return {*} The gallery element.
 */
_c2 = RowRenderer;
function MediaGallery({
  resources,
  uploadingResources = [],
  onInsert,
  providerType,
  canEditMedia = false
}) {
  _s();
  // Use different key for uploading vs. uploaded items to avoid confusions.
  const photos = [...uploadingResources.map(resource => ({
    key: `uploading-${resource.id}`,
    src: resource.src,
    width: resource.width,
    height: resource.height,
    resource
  })), ...resources.map(resource => ({
    key: resource.id,
    src: resource.src,
    width: resource.width,
    height: resource.height,
    resource
  }))].map((photo, index) => ({
    ...photo,
    index
  }));
  const imageRenderer = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(({
    photo,
    layout
  }) => {
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_mediaElement__WEBPACK_IMPORTED_MODULE_4__["default"], {
      key: photo.key,
      index: photo.index,
      margin: `0px 0px ${PHOTO_SPACING}px 0px`,
      resource: photo.resource,
      width: layout.width,
      height: layout.height,
      onInsert: onInsert,
      providerType: providerType,
      canEditMedia: canEditMedia,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 89,
        columnNumber: 9
      }
    });
  }, [providerType, onInsert, canEditMedia]);
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("div", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 106,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react_photo_album__WEBPACK_IMPORTED_MODULE_6__["default"], {
    layout: "rows",
    photos: photos,
    renderPhoto: imageRenderer,
    renderRowContainer: RowRenderer,
    renderContainer: ContainerRenderer,
    targetRowHeight: TARGET_ROW_HEIGHT,
    rowConstraints: ROW_CONSTRAINTS,
    spacing: PHOTO_SPACING
    // Used for tests / SSR.
    ,
    defaultContainerWidth: _constants__WEBPACK_IMPORTED_MODULE_3__.SIDEBAR_WIDTH,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 107,
      columnNumber: 7
    }
  }));
}
_s(MediaGallery, "Q/mse26WVQKDtuboLze5+R2hv3c=");
_c3 = MediaGallery;
MediaGallery.propTypes = {
  resources: prop_types__WEBPACK_IMPORTED_MODULE_7___default().arrayOf((prop_types__WEBPACK_IMPORTED_MODULE_7___default().object)).isRequired,
  uploadingResources: prop_types__WEBPACK_IMPORTED_MODULE_7___default().arrayOf((prop_types__WEBPACK_IMPORTED_MODULE_7___default().object)),
  onInsert: (prop_types__WEBPACK_IMPORTED_MODULE_7___default().func).isRequired,
  providerType: (prop_types__WEBPACK_IMPORTED_MODULE_7___default().string).isRequired,
  canEditMedia: (prop_types__WEBPACK_IMPORTED_MODULE_7___default().bool)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MediaGallery);
var _c, _c2, _c3;
__webpack_require__.$Refresh$.register(_c, "ContainerRenderer");
__webpack_require__.$Refresh$.register(_c2, "RowRenderer");
__webpack_require__.$Refresh$.register(_c3, "MediaGallery");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/local/deleteDialog.js":
/*!****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/local/deleteDialog.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/i18n.ts");
/* harmony import */ var _googleforcreators_tracking__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @googleforcreators/tracking */ "./packages/tracking/src/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/contexts/snackbar/useSnackbar.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/typography/text/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/theme/types.ts");
/* harmony import */ var _app_api__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../../app/api */ "./packages/story-editor/src/app/api/index.ts");
/* harmony import */ var _app_media__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../../app/media */ "./packages/story-editor/src/app/media/index.js");
/* harmony import */ var _app_story__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../../app/story */ "./packages/story-editor/src/app/story/index.ts");
/* harmony import */ var _dialog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../dialog */ "./packages/story-editor/src/components/dialog/index.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/local/deleteDialog.js",
  _s = __webpack_require__.$Refresh$.signature();

/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */






/**
 * Internal dependencies
 */





/**
 * Display a confirmation dialog for when a user wants to delete a media element.
 *
 * @param {Object} props Component props.
 * @param {number} props.mediaId Selected media element's ID.
 * @param {string} props.type Selected media element's type.
 * @param {Function} props.onClose Callback to toggle dialog display on close.
 * @return {null|*} The dialog element.
 */
function DeleteDialog({
  mediaId,
  type,
  onClose
}) {
  _s();
  const {
    actions: {
      deleteMedia
    }
  } = (0,_app_api__WEBPACK_IMPORTED_MODULE_3__.useAPI)();
  const {
    showSnackbar
  } = (0,_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_7__.useSnackbar)();
  const {
    deleteMediaElement
  } = (0,_app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia)(({
    actions: {
      deleteMediaElement
    }
  }) => ({
    deleteMediaElement
  }));
  const {
    deleteElementsByResourceId
  } = (0,_app_story__WEBPACK_IMPORTED_MODULE_5__.useStory)(state => ({
    deleteElementsByResourceId: state.actions.deleteElementsByResourceId
  }));
  const onDelete = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(async () => {
    onClose();
    try {
      await deleteMedia(mediaId);
      deleteMediaElement({
        id: mediaId
      });
      deleteElementsByResourceId({
        id: mediaId
      });
    } catch (err) {
      (0,_googleforcreators_tracking__WEBPACK_IMPORTED_MODULE_2__.trackError)('local_media_deletion', err.message);
      showSnackbar({
        message: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('Failed to delete media item.', 'web-stories'),
        dismissible: true
      });
    }
  }, [deleteMedia, deleteMediaElement, deleteElementsByResourceId, mediaId, onClose, showSnackbar]);
  const imageDialogTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('Delete Image?', 'web-stories');
  const videoDialogTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('Delete Video?', 'web-stories');
  const imageDialogDescription = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('You are about to permanently delete this image from your site. The image will appear broken in any content that uses it.', 'web-stories');
  const videoDialogDescription = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('You are about to permanently delete this video from your site. The video will appear broken in any content that uses it.', 'web-stories');

  // Keep icon and menu displayed if menu is open (even if user's mouse leaves the area).
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_dialog__WEBPACK_IMPORTED_MODULE_6__["default"], {
    isOpen: true,
    onClose: onClose,
    title: type === 'image' ? imageDialogTitle : videoDialogTitle,
    secondaryText: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('Cancel', 'web-stories'),
    onPrimary: onDelete,
    primaryText: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('Delete', 'web-stories'),
    maxWidth: 512,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 92,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__.Text.Paragraph, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_10__.TextSize.Small,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 101,
      columnNumber: 7
    }
  }, type === 'image' ? imageDialogDescription : videoDialogDescription), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__.Text.Paragraph, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_10__.TextSize.Small,
    isBold: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 104,
      columnNumber: 7
    }
  }, (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_8__.__)('This action can not be undone.', 'web-stories')));
}
_s(DeleteDialog, "5t/BuMbABIOpXw9cWl9xCHgWiyg=", false, function () {
  return [_app_api__WEBPACK_IMPORTED_MODULE_3__.useAPI, _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_7__.useSnackbar, _app_media__WEBPACK_IMPORTED_MODULE_4__.useLocalMedia, _app_story__WEBPACK_IMPORTED_MODULE_5__.useStory];
});
_c = DeleteDialog;
DeleteDialog.propTypes = {
  mediaId: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().number).isRequired,
  type: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().string).isRequired,
  onClose: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().func).isRequired
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DeleteDialog);
var _c;
__webpack_require__.$Refresh$.register(_c, "DeleteDialog");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/local/dropDownMenu.js":
/*!****************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/local/dropDownMenu.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/i18n.ts");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! uuid */ "./packages/story-editor/node_modules/uuid/dist/esm-browser/v4.js");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/utils/noop.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/icons/dots_fill_small.svg");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/popup/popup.tsx");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/popup/constants.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/menu/menu.tsx");
/* harmony import */ var _app__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../../app */ "./packages/story-editor/src/app/index.js");
/* harmony import */ var _shared__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../shared */ "./packages/story-editor/src/components/library/panes/shared/index.js");
/* harmony import */ var _panels_utils_dropDownKeyEvents__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../panels/utils/dropDownKeyEvents */ "./packages/story-editor/src/components/panels/utils/dropDownKeyEvents.js");
/* harmony import */ var _deleteDialog__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./deleteDialog */ "./packages/story-editor/src/components/library/panes/media/local/deleteDialog.js");
/* harmony import */ var _mediaEditDialog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./mediaEditDialog */ "./packages/story-editor/src/components/library/panes/media/local/mediaEditDialog.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/local/dropDownMenu.js",
  _s = __webpack_require__.$Refresh$.signature();

/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */







/**
 * Internal dependencies
 */





const MoreButton = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__["default"])(_shared__WEBPACK_IMPORTED_MODULE_3__.ActionButton).withConfig({
  displayName: "dropDownMenu__MoreButton",
  componentId: "sc-1eq0xdj-0"
})(["top:4px;right:4px;"]);
_c = MoreButton;
const DropDownContainer = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "dropDownMenu__DropDownContainer",
  componentId: "sc-1eq0xdj-1"
})(["margin-top:10px;"]);
_c2 = DropDownContainer;
const MenuContainer = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "dropDownMenu__MenuContainer",
  componentId: "sc-1eq0xdj-2"
})(["z-index:1;"]);
_c3 = MenuContainer;
const menuStylesOverride = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__.css)(["min-width:160px;margin-top:0;li{display:block;}"]);
const MENU_OPTIONS = {
  EDIT: 'edit',
  DELETE: 'delete'
};

/**
 * Get a More icon that displays a dropdown menu on click.
 *
 * @param {Object} props Component props.
 * @param {Object} props.resource Selected media element's resource object.
 * @param {boolean} props.display Whether the more icon should be displayed.
 * @param {boolean} props.isMenuOpen If the dropdown menu is open.
 * @param {Function} props.onMenuOpen Callback for when menu is opened.
 * @param {Function} props.onMenuCancelled Callback for when menu is closed without any selections.
 * @param {Function} props.onMenuSelected Callback for when menu is closed and an option selected.
 * @param {Function} props.setParentActive Sets the parent element active.
 * @return {null|*} Element or null if should not display the More icon.
 */
function DropDownMenu({
  resource,
  display,
  isMenuOpen,
  onMenuOpen,
  onMenuCancelled,
  onMenuSelected,
  setParentActive = _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.noop
}) {
  _s();
  const groups = [{
    options: [{
      label: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Edit meta data', 'web-stories'),
      value: MENU_OPTIONS.EDIT
    }, {
      label: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('Delete from library', 'web-stories'),
      value: MENU_OPTIONS.DELETE
    }]
  }];
  const [showDeleteDialog, setShowDeleteDialog] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [showEditDialog, setShowEditDialog] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const moreButtonRef = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useRef)();
  const onClose = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    onMenuCancelled();
    moreButtonRef.current?.focus();
    // Activeness of the parent is lost then due to blurring, we need to set it active "manually"
    // to focus back on the original button.
    setParentActive();
  }, [onMenuCancelled, setParentActive]);
  const {
    canTranscodeResource
  } = (0,_app__WEBPACK_IMPORTED_MODULE_2__.useLocalMedia)(({
    state: {
      canTranscodeResource
    }
  }) => ({
    canTranscodeResource
  }));
  const handleCurrentValue = (evt, value) => {
    onMenuSelected();
    switch (value) {
      case MENU_OPTIONS.EDIT:
        setShowEditDialog(true);
        break;
      case MENU_OPTIONS.DELETE:
        setShowDeleteDialog(true);
        break;
      default:
        break;
    }
  };

  // On Delete dialog closing.
  const onDeleteDialogClose = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    setShowDeleteDialog(false);
    onClose();
  }, [setShowDeleteDialog, onClose]);

  // On Edit dialog closing.
  const onEditDialogClose = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    setShowEditDialog(false);
    onClose();
  }, [setShowEditDialog, onClose]);
  const listId = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => `list-${(0,uuid__WEBPACK_IMPORTED_MODULE_10__["default"])()}`, []);
  const buttonId = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => `button-${(0,uuid__WEBPACK_IMPORTED_MODULE_10__["default"])()}`, []);

  // Keep icon and menu displayed if menu is open (even if user's mouse leaves the area).
  return canTranscodeResource(resource) &&
  /*#__PURE__*/
  // Don't show menu if resource is being processed.
  react__WEBPACK_IMPORTED_MODULE_0__.createElement(MenuContainer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 160,
      columnNumber: 7
    }
  }, moreButtonRef.current && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_panels_utils_dropDownKeyEvents__WEBPACK_IMPORTED_MODULE_4__["default"], {
    target: moreButtonRef.current,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 162,
      columnNumber: 11
    }
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(MoreButton, {
    ref: moreButtonRef,
    onClick: onMenuOpen,
    "aria-label": (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_9__.__)('More', 'web-stories'),
    "aria-pressed": isMenuOpen,
    "aria-haspopup": true,
    "aria-expanded": isMenuOpen,
    "aria-owns": isMenuOpen ? listId : null,
    id: buttonId,
    $display: display,
    tabIndex: display || isMenuOpen ? 0 : -1,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 164,
      columnNumber: 9
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 176,
      columnNumber: 11
    }
  })), (display || isMenuOpen) && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_12__["default"], {
    anchor: moreButtonRef,
    placement: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__.Placement.BottomStart,
    isOpen: isMenuOpen,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 179,
      columnNumber: 11
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DropDownContainer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 184,
      columnNumber: 13
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_14__["default"], {
    parentId: buttonId,
    listId: listId,
    handleMenuItemSelect: handleCurrentValue,
    groups: groups,
    onDismissMenu: onClose,
    hasMenuRole: true,
    menuStylesOverride: menuStylesOverride,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 185,
      columnNumber: 15
    }
  }))), showDeleteDialog && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_deleteDialog__WEBPACK_IMPORTED_MODULE_5__["default"], {
    mediaId: resource.id,
    type: resource.type,
    onClose: onDeleteDialogClose,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 198,
      columnNumber: 11
    }
  }), showEditDialog && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_mediaEditDialog__WEBPACK_IMPORTED_MODULE_6__["default"], {
    resource: resource,
    onClose: onEditDialogClose,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 205,
      columnNumber: 11
    }
  }));
}
_s(DropDownMenu, "/oYShNH3f4tP1/gT+1QW57+AEK0=", false, function () {
  return [_app__WEBPACK_IMPORTED_MODULE_2__.useLocalMedia];
});
_c4 = DropDownMenu;
DropDownMenu.propTypes = {
  resource: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().object).isRequired,
  display: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().bool).isRequired,
  isMenuOpen: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().bool).isRequired,
  onMenuOpen: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().func).isRequired,
  onMenuCancelled: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().func).isRequired,
  onMenuSelected: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().func).isRequired,
  setParentActive: (prop_types__WEBPACK_IMPORTED_MODULE_15___default().func)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DropDownMenu);
var _c, _c2, _c3, _c4;
__webpack_require__.$Refresh$.register(_c, "MoreButton");
__webpack_require__.$Refresh$.register(_c2, "DropDownContainer");
__webpack_require__.$Refresh$.register(_c3, "MenuContainer");
__webpack_require__.$Refresh$.register(_c4, "DropDownMenu");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ }),

/***/ "./packages/story-editor/src/components/library/panes/media/local/mediaEditDialog.js":
/*!*******************************************************************************************!*\
  !*** ./packages/story-editor/src/components/library/panes/media/local/mediaEditDialog.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! styled-components */ "./node_modules/styled-components/dist/styled-components.browser.esm.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @googleforcreators/react */ "./packages/react/src/index.ts");
/* harmony import */ var _googleforcreators_date__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @googleforcreators/date */ "./packages/date/src/index.ts");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/i18n.ts");
/* harmony import */ var _googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @googleforcreators/i18n */ "./packages/i18n/src/sprintf.ts");
/* harmony import */ var _googleforcreators_tracking__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @googleforcreators/tracking */ "./packages/tracking/src/index.ts");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/getSmallestUrlForWidth.ts");
/* harmony import */ var _googleforcreators_media__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! @googleforcreators/media */ "./packages/media/src/types/propTypes.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/typography/text/index.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/components/textArea/textArea.tsx");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/contexts/snackbar/useSnackbar.ts");
/* harmony import */ var _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @googleforcreators/design-system */ "./packages/design-system/src/theme/types.ts");
/* harmony import */ var _app_api__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../../app/api */ "./packages/story-editor/src/app/api/index.ts");
/* harmony import */ var _app_media__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../../../app/media */ "./packages/story-editor/src/app/media/index.js");
/* harmony import */ var _dialog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../../dialog */ "./packages/story-editor/src/components/dialog/index.js");
/* provided dependency */ var __react_refresh_utils__ = __webpack_require__(/*! ./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js */ "./node_modules/@pmmmwh/react-refresh-webpack-plugin/lib/runtime/RefreshUtils.js");
__webpack_require__.$Refresh$.runtime = __webpack_require__(/*! ./node_modules/react-refresh/runtime.js */ "./node_modules/react-refresh/runtime.js");

var _jsxFileName = "/home/runner/work/web-stories-wp/web-stories-wp/packages/story-editor/src/components/library/panes/media/local/mediaEditDialog.js",
  _s = __webpack_require__.$Refresh$.signature();

/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * External dependencies
 */









/**
 * Internal dependencies
 */



const THUMBNAIL_WIDTH = 152;
const styledMediaThumbnail = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__.css)(["display:flex;width:", "px;margin-right:28px;"], THUMBNAIL_WIDTH);
const Image = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].img.withConfig({
  displayName: "mediaEditDialog__Image",
  componentId: "sc-ctku7j-0"
})(["", ""], styledMediaThumbnail);
_c = Image;
const Video = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].video.withConfig({
  displayName: "mediaEditDialog__Video",
  componentId: "sc-ctku7j-1"
})(["", ""], styledMediaThumbnail);
_c2 = Video;
const DialogBody = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "mediaEditDialog__DialogBody",
  componentId: "sc-ctku7j-2"
})(["display:flex;justify-content:left;align-items:flex-start;"]);
_c3 = DialogBody;
const MetadataTextContainer = styled_components__WEBPACK_IMPORTED_MODULE_7__["default"].div.withConfig({
  displayName: "mediaEditDialog__MetadataTextContainer",
  componentId: "sc-ctku7j-3"
})(["display:flex;flex-direction:column;margin:0 4px;"]);
_c4 = MetadataTextContainer;
const DateText = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__["default"])(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.Text.Span).withConfig({
  displayName: "mediaEditDialog__DateText",
  componentId: "sc-ctku7j-4"
})(["margin-bottom:8px;"]);
_c5 = DateText;
const AssistiveTextArea = (0,styled_components__WEBPACK_IMPORTED_MODULE_7__["default"])(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_9__["default"]).withConfig({
  displayName: "mediaEditDialog__AssistiveTextArea",
  componentId: "sc-ctku7j-5"
})(["margin:20px 0 4px;"]);
_c6 = AssistiveTextArea;
const imageDialogTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Edit Image', 'web-stories');
const videoDialogTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Edit Video', 'web-stories');
const imageInputTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Assistive text', 'web-stories');
const videoInputTitle = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Video description', 'web-stories');
const imageDialogDescription = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Describe the appearance and function of the image. Leave empty if the image is purely decorative.', 'web-stories');
const videoDialogDescription = (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('For indexability and accessibility. Include any burned-in text inside the video.', 'web-stories');

/**
 * Displays a dialog where the user can edit the selected media element.
 *
 * @param {Object} props Component props.
 * @param {Object} props.resource Selected media element's resource object.
 * @param {Object} props.onClose Callback to toggle dialog display.
 * @return {null|*} The dialog element.
 */
function MediaEditDialog({
  resource,
  onClose
}) {
  _s();
  const {
    id,
    src,
    creationDate,
    width,
    height,
    type,
    alt,
    poster,
    mimeType
  } = resource;
  const {
    actions: {
      updateMedia
    }
  } = (0,_app_api__WEBPACK_IMPORTED_MODULE_4__.useAPI)();
  const {
    updateMediaElement
  } = (0,_app_media__WEBPACK_IMPORTED_MODULE_5__.useLocalMedia)(({
    actions: {
      updateMediaElement
    }
  }) => ({
    updateMediaElement
  }));
  const {
    showSnackbar
  } = (0,_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__.useSnackbar)();
  const [altText, setAltText] = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useState)(alt);
  const parsedDate = (0,_googleforcreators_date__WEBPACK_IMPORTED_MODULE_2__.toDate)(creationDate);
  const handleAltTextChange = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(evt => {
    setAltText(evt.target.value);
  }, []);
  const updateMediaItem = (0,_googleforcreators_react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(async () => {
    try {
      // Update server.
      await updateMedia(id, {
        altText
      });
      // Update internal state.
      updateMediaElement({
        id,
        data: {
          alt: altText
        }
      });
      onClose();
    } catch (err) {
      (0,_googleforcreators_tracking__WEBPACK_IMPORTED_MODULE_3__.trackError)('local_media_edit', err.message);
      showSnackbar({
        message: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Failed to update, please try again.', 'web-stories'),
        dismissible: true
      });
    }
  }, [altText, id, onClose, showSnackbar, updateMedia, updateMediaElement]);
  const isImage = type === 'image';
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_dialog__WEBPACK_IMPORTED_MODULE_6__["default"], {
    isOpen: true,
    onClose: onClose,
    title: isImage ? imageDialogTitle : videoDialogTitle,
    secondaryText: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Cancel', 'web-stories'),
    onPrimary: updateMediaItem,
    primaryText: (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Save', 'web-stories'),
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 139,
      columnNumber: 5
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DialogBody, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 147,
      columnNumber: 7
    }
  }, type === 'image' ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Image, {
    src: (0,_googleforcreators_media__WEBPACK_IMPORTED_MODULE_12__["default"])(THUMBNAIL_WIDTH, resource),
    alt: alt,
    loading: 'lazy',
    crossOrigin: "anonymous",
    decoding: "async",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 149,
      columnNumber: 11
    }
  }) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Video, {
    key: src,
    crossOrigin: "anonymous",
    poster: poster,
    preload: "metadata",
    muted: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 157,
      columnNumber: 11
    }
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("source", {
    src: src,
    type: mimeType,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 164,
      columnNumber: 13
    }
  })), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(MetadataTextContainer, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 167,
      columnNumber: 9
    }
  }, (0,_googleforcreators_date__WEBPACK_IMPORTED_MODULE_2__.isValid)(parsedDate) && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DateText, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__.TextSize.XSmall,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 169,
      columnNumber: 13
    }
  }, (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_14__["default"])( /* translators: %s: upload date of media item. */
  (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('Uploaded: %s', 'web-stories'), (0,_googleforcreators_date__WEBPACK_IMPORTED_MODULE_2__.formatDate)(creationDate))), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.Text.Span, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__.TextSize.Small,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 177,
      columnNumber: 11
    }
  }, (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_14__["default"])( /* translators: 1: image width. 2: image height. */
  (0,_googleforcreators_i18n__WEBPACK_IMPORTED_MODULE_10__.__)('%1$d x %2$d pixels', 'web-stories'), width, height)), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(AssistiveTextArea, {
    value: altText,
    "aria-label": isImage ? imageInputTitle : videoInputTitle,
    type: "text",
    placeholder: isImage ? imageInputTitle : videoInputTitle,
    onChange: handleAltTextChange,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 185,
      columnNumber: 11
    }
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_8__.Text.Paragraph, {
    size: _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_13__.TextSize.Small,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 192,
      columnNumber: 11
    }
  }, isImage ? imageDialogDescription : videoDialogDescription))));
}
_s(MediaEditDialog, "rtJGSpPvZezFKUlkQvEi2zsBZVY=", false, function () {
  return [_app_api__WEBPACK_IMPORTED_MODULE_4__.useAPI, _app_media__WEBPACK_IMPORTED_MODULE_5__.useLocalMedia, _googleforcreators_design_system__WEBPACK_IMPORTED_MODULE_11__.useSnackbar];
});
_c7 = MediaEditDialog;
MediaEditDialog.propTypes = {
  resource: _googleforcreators_media__WEBPACK_IMPORTED_MODULE_15__.ResourcePropTypes.resource.isRequired,
  onClose: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func).isRequired
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MediaEditDialog);
var _c, _c2, _c3, _c4, _c5, _c6, _c7;
__webpack_require__.$Refresh$.register(_c, "Image");
__webpack_require__.$Refresh$.register(_c2, "Video");
__webpack_require__.$Refresh$.register(_c3, "DialogBody");
__webpack_require__.$Refresh$.register(_c4, "MetadataTextContainer");
__webpack_require__.$Refresh$.register(_c5, "DateText");
__webpack_require__.$Refresh$.register(_c6, "AssistiveTextArea");
__webpack_require__.$Refresh$.register(_c7, "MediaEditDialog");

const $ReactRefreshModuleId$ = __webpack_require__.$Refresh$.moduleId;
const $ReactRefreshCurrentExports$ = __react_refresh_utils__.getModuleExports(
	$ReactRefreshModuleId$
);

function $ReactRefreshModuleRuntime$(exports) {
	if (false) {}
}

if (typeof Promise !== 'undefined' && $ReactRefreshCurrentExports$ instanceof Promise) {
	$ReactRefreshCurrentExports$.then($ReactRefreshModuleRuntime$);
} else {
	$ReactRefreshModuleRuntime$($ReactRefreshCurrentExports$);
}

/***/ })

}]);
//# sourceMappingURL=chunk-media-gallery.js.map?v=803d0ee544911a5b268a