/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./packages/widget/src/style.css":
/*!***************************************!*\
  !*** ./packages/widget/src/style.css ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "@wordpress/dom-ready":
/*!**********************************!*\
  !*** external ["wp","domReady"] ***!
  \**********************************/
/***/ ((module) => {

module.exports = window["wp"]["domReady"];

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!**************************************!*\
  !*** ./packages/widget/src/index.js ***!
  \**************************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_dom_ready__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/dom-ready */ "@wordpress/dom-ready");
/* harmony import */ var _style_css__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./style.css */ "./packages/widget/src/style.css");
/*
 * Copyright 2021 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * WordPress dependencies
 */


/**
 * Internal dependencies
 */


/**
 * Store field states in local variable.
 *
 * @type {Object}
 */
const fieldState = window.webStoriesData || {};

/**
 * Closure for making inputs reactive
 * on view type selection change.
 *
 * @param {Object}  target Event object.
 * @param {boolean} reset Flag to reset fields value.
 */
const reactiveWidget = (target, reset = false) => {
  const currentView = target.value;
  const widget = target.closest('.widget');
  const state = fieldState.fields[currentView];
  for (const [key, fieldObj] of Object.entries(state)) {
    const field = widget.querySelector(`.${key}.stories-widget-field`);
    const fieldWrapper = widget.querySelector(`.${key}_wrapper`);
    if (field && fieldWrapper) {
      const field_type = field.getAttribute('type');
      if ('checkbox' === field_type) {
        if (reset) {
          field.checked = false;
        }
        /**
         * If this is readonly field.
         * Assign the value automatically and hide it afterward.
         */
        if (fieldObj.hidden) {
          field.checked = fieldObj.show;
        }
        fieldWrapper.style.display = fieldObj.hidden ? 'none' : 'block';
      } else {
        fieldWrapper.style.display = fieldObj.show ? 'block' : 'none';
      }
    }
  }
};

/**
 * Returns the HTML Collection of view type selectors.
 *
 * @return {HTMLCollection} Array of elements.
 */
const viewSelectors = () => document.getElementsByClassName('view_type stories-widget-field');

/**
 * Bind event on view type selection change.
 */
const bindEvent = () => {
  const dropdowns = viewSelectors();
  if (dropdowns.length) {
    for (let i = 0; i < dropdowns.length; i++) {
      dropdowns[i].addEventListener('change', event => {
        reactiveWidget(event.target, false);
      });
    }
  }
};

/**
 * Fire event manually once.
 */
const fireEvent = () => {
  const dropdowns = viewSelectors();
  const evt = document.createEvent('HTMLEvents');
  evt.initEvent('change', false, true);
  for (let l = 0; l < dropdowns.length; l++) {
    dropdowns[l].dispatchEvent(evt);
  }
};

/**
 * Wait till document is ready and then bind the event.
 */
_wordpress_dom_ready__WEBPACK_IMPORTED_MODULE_0__(() => {
  bindEvent();
  fireEvent();
});

/**
 * Called when widget is updated or added.
 *
 * @param {Object} event Event object.
 * @param {Object} widget Widget jQuery object.
 */
const widgetChange = (event, widget) => {
  if (!widget[0]) {
    return;
  }
  const target = widget[0].querySelectorAll('.stories-widget-field.view_type');
  if (target.length) {
    reactiveWidget(target[0], false);
    bindEvent();
  }
};
const $ = window.jQuery;

/**
 * Listen to widget updated event and update the widget.
 */
$(document).on('widget-updated', widgetChange);
$(document).on('widget-added', widgetChange);
})();

/******/ })()
;
//# sourceMappingURL=web-stories-widget.js.map